# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2018"
name = "swc_common"
version = "0.14.0"
authors = ["강동윤 <kdy1997.dev@gmail.com>"]
description = "Common utilities for the swc project."
documentation = "https://rustdoc.swc.rs/swc_common/"
license = "Apache-2.0/MIT"
repository = "https://github.com/swc-project/swc.git"
[dependencies.ahash]
version = "0.7.4"

[dependencies.arbitrary]
version = "1"
features = ["derive"]
optional = true

[dependencies.ast_node]
version = "0.7.3"

[dependencies.atty]
version = "0.2"
optional = true

[dependencies.cfg-if]
version = "0.1.2"

[dependencies.either]
version = "1.5"

[dependencies.from_variant]
version = "0.1.3"

[dependencies.num-bigint]
version = "0.2"

[dependencies.once_cell]
version = "1"

[dependencies.owning_ref]
version = "0.4"

[dependencies.parking_lot]
version = "0.7.1"
optional = true

[dependencies.rustc-hash]
version = "1.1.0"

[dependencies.scoped-tls]
version = "1"

[dependencies.serde]
version = "1.0.119"
features = ["derive"]

[dependencies.sourcemap]
version = "6"
optional = true

[dependencies.string_cache]
version = "0.8.1"

[dependencies.swc_eq_ignore_macros]
version = "0.1"

[dependencies.swc_visit]
version = "0.2.4"

[dependencies.termcolor]
version = "1.0"
optional = true

[dependencies.tracing]
version = "0.1.28"

[dependencies.unicode-width]
version = "0.1.4"

[dependencies.url]
version = "2.2.2"
[dev-dependencies.rayon]
version = "1"

[dev-dependencies.serde_json]
version = "1"

[features]
concurrent = ["parking_lot"]
debug = []
default = []
tty-emitter = ["atty", "termcolor"]
